Package org.eclipse.birt.chart.computation

# Class BoundingBox

java.lang.Object
org.eclipse.birt.chart.computation.BoundingBox

All Implemented Interfaces:
  `Cloneable`

public final class BoundingBox extends Object implements Cloneable
This class ...

Author:
  Actuate Corporation

## Constructor Summary

Constructors
Constructor
Description
`BoundingBox(int _iLabelLocation, double _dX, double _dY, double _dWidth, double _dHeight, double _dHotPoint)`

## Method Summary

Modifier and Type
Method
Description
`BoundingBox`
`clone()`
`boolean`
`equals(Object obj)`
`double`
`getHeight()`
`double`
`getHotPoint()`
`double`
`getLeft()`
`double`
`getTop()`
`double`
`getWidth()`
`int`
`hashCode()`
`void`
`scale(double dScale)`
`void`
`setLeft(double _dX)`
`void`
`setTop(double _dY)`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BoundingBox

public BoundingBox(int _iLabelLocation, double _dX, double _dY, double _dWidth, double _dHeight, double _dHotPoint)

## Method Details

### clone

public BoundingBox clone()

### getHotPoint

public double getHotPoint()

### getTop

public double getTop()

### getLeft

public double getLeft()

### getWidth

public double getWidth()

### getHeight

public double getHeight()

### setLeft

public void setLeft(double _dX)

### setTop

public void setTop(double _dY)

### scale

public void scale(double dScale)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`